Subject: Re: [PATCHv9 1/6] submodule-config: keep update strategy around

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Feb 2016 14:29:31 -0800

Stefan Beller <[email-masked]> writes:

> On Tue, Feb 9, 2016 at 1:08 PM, Junio C Hamano <[email-masked]> wrote:
>>> +     } else if (!strcmp(item.buf, "update")) {
>>> +             if (!value)
>>> +                     ret = config_error_nonbool(var);
>>> +             else if (!me->overwrite &&
>>> +                 submodule->update != SM_UPDATE_UNSPECIFIED)
>>
>> Funny indentation here (locally fixable).
>
> I looked through the code base and reread our CodingGuidelines
> to find out what is considered correct. (I assumed we had a gnu-ish
> coding style w.r.t. breaking overly long lines in conditions, which is
> having the next line be indented with 4 spaces.)
>
> So I assume by funny you mean "the next line doesn't start below the
> opening parenthesis"?

I think we typically do one of the two:

        if (A &&
            B && C && ...)

or

        if (A &&
                B && C && ...)

That is, the second line may align just inside the open paren on the
first line, or even deeper, but never shallower.